<?php

namespace Modules\Area\Interfaces;

use Illuminate\Http\Request;
use Modules\Area\Models\Area;

interface AreaRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Area $area);
    public function save(Request $request, ?Area $area): Area;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
